API and MCP

Version

Which build of the API is answering

Get the API version

GET /api/v1/version

Which build of the API is answering: release is the commit it was built from, the id to quote when contacting support, with when it was built. Needs no token.

Responses

Status Description Body
200 The build id, commit and build time. ApiVersion
401 The token is missing, expired, revoked or of the wrong kind. Error
403 The token is valid but not allowed to do this. Error
406 The request does not accept JSON. Error
500 A fault on our side. Error

Example

curl -X GET "https://api.spicelabs.io/api/v1/version" \
  -H "Authorization: Bearer $SPICE_API_TOKEN"